Voici deux possibilités pour configurer les plugins et les thèmes de Zsh.

# Config. Manjaro
La config et les plugins présents dans Manjaro (2020.06) peuvent êtres installés dans /usr/share/zsh/plugins

[https://framagit.org/nodiego/archlinux-cool/-/blob/master/dotfiles/config-zsh.zip](https://framagit.org/nodiego/archlinux-cool/-/blob/master/dotfiles/config-zsh.zip)

# Config. Oh My Zsh

[Tuto video](https://www.youtube.com/watch?v=3KzIQFPWs2Y)

Installer depuis [https://ohmyz.sh/](https://ohmyz.sh/).
<br>
Pour les plugins voir [https://github.com/zsh-users](https://github.com/zsh-users) :

* ![zsh-syntax-highlighting](https://github.com/zsh-users/zsh-syntax-highlighting);
* ![zsh-autosuggestions](https://github.com/zsh-users/zsh-autosuggestions);
* ![zsh-completions](https://github.com/zsh-users/zsh-completions).

Cloner les plugins puis les déplacer dans le dossier ~/.oh-my-zsh/plugins :

```
mv zsh* .oh-my-zsh/plugins
```

Il faut ensuite signaler les plugins dans la partie :

```
nano .zshrc

```
puis :
```
plugins=(git
zsh-syntax-highlighting
zsh-completions
zsh-autosuggestions
)
```

## Installer un thème Zsh

Pour installer le thème "powerlevel10k", il faut cloner le git suivant : [https://github.com/romkatv/powerlevel10k.git](https://github.com/romkatv/powerlevel10k)
et le déplacer dans ~/.oh-my-zsh/themes :

```
mv powerlevel10k .oh-my-zsh/themes 
```

Éditer et relancer ~/.zshrc -> *ZSH_THEME="powerlevel10k/powerlevel10k"*

```
nano .zshrc
source .zshrc
```

Éditer et relancer ~/.p10k.zsh pour paramétrer -> tout commenter sauf :


* status, command_execution_time, background_jobs, direnv, load, disk_usage, ram, swap

```
nano .p10k.zsh
source .p10k.zsh
```